<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>FileTreeElement (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FileTreeElement (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/FileVisitDetails.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/FileTreeElement.html" target="_top">Frames</a></li>
<li><a href="FileTreeElement.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.file</div>
<h2 title="Interface FileTreeElement" class="title">Interface FileTreeElement</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/file/FileCopyDetails.html" title="interface in org.gradle.api.file">FileCopyDetails</a>, <a href="../../../../org/gradle/api/file/FileVisitDetails.html" title="interface in org.gradle.api.file">FileVisitDetails</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">FileTreeElement</span></pre>
<div class="block">Information about a file in a <a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><code>FileTree</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTreeElement.html#copyTo(java.io.File)">copyTo</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;target)</code>
<div class="block">Copies this file to the given target file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTreeElement.html#copyTo(java.io.OutputStream)">copyTo</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;output)</code>
<div class="block">Copies the content of this file to an output stream.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTreeElement.html#getFile()">getFile</a></strong>()</code>
<div class="block">Returns the file being visited.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTreeElement.html#getLastModified()">getLastModified</a></strong>()</code>
<div class="block">Returns the last modified time of this file at the time of file traversal.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTreeElement.html#getMode()">getMode</a></strong>()</code>
<div class="block">Returns the Unix permissions of this file, e.g.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTreeElement.html#getName()">getName</a></strong>()</code>
<div class="block">Returns the base name of this file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTreeElement.html#getPath()">getPath</a></strong>()</code>
<div class="block">Returns the path of this file, relative to the root of the containing file tree.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/RelativePath.html" title="class in org.gradle.api.file">RelativePath</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTreeElement.html#getRelativePath()">getRelativePath</a></strong>()</code>
<div class="block">Returns the path of this file, relative to the root of the containing file tree.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTreeElement.html#getSize()">getSize</a></strong>()</code>
<div class="block">Returns the size of this file at the time of file traversal.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTreeElement.html#isDirectory()">isDirectory</a></strong>()</code>
<div class="block">Returns true if this element is a directory, or false if this element is a regular file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/file/FileTreeElement.html#open()">open</a></strong>()</code>
<div class="block">Opens this file as an input stream.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getFile()</pre>
<div class="block">Returns the file being visited.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The file. Never returns null.</dd></dl>
</li>
</ul>
<a name="isDirectory()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isDirectory</h4>
<pre>boolean&nbsp;isDirectory()</pre>
<div class="block">Returns true if this element is a directory, or false if this element is a regular file.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this element is a directory.</dd></dl>
</li>
</ul>
<a name="getLastModified()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastModified</h4>
<pre>long&nbsp;getLastModified()</pre>
<div class="block">Returns the last modified time of this file at the time of file traversal.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The last modified time.</dd></dl>
</li>
</ul>
<a name="getSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSize</h4>
<pre>long&nbsp;getSize()</pre>
<div class="block">Returns the size of this file at the time of file traversal.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The size, in bytes.</dd></dl>
</li>
</ul>
<a name="open()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>open</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;open()</pre>
<div class="block">Opens this file as an input stream. Generally, calling this method is more performant than calling <code>new
 FileInputStream(getFile())</code>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The input stream. Never returns null. The caller is responsible for closing this stream.</dd></dl>
</li>
</ul>
<a name="copyTo(java.io.OutputStream)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyTo</h4>
<pre>void&nbsp;copyTo(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;output)</pre>
<div class="block">Copies the content of this file to an output stream. Generally, calling this method is more performant than
 calling <code>new FileInputStream(getFile())</code>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>output</code> - The output stream to write to. The caller is responsible for closing this stream.</dd></dl>
</li>
</ul>
<a name="copyTo(java.io.File)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyTo</h4>
<pre>boolean&nbsp;copyTo(<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;target)</pre>
<div class="block">Copies this file to the given target file. Does not copy the file if the target is already a copy of this file.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>target</code> - the target file.</dd>
<dt><span class="strong">Returns:</span></dt><dd>true if this file was copied, false if it was up-to-date</dd></dl>
</li>
</ul>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">Returns the base name of this file.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The name. Never returns null.</dd></dl>
</li>
</ul>
<a name="getPath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPath</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPath()</pre>
<div class="block">Returns the path of this file, relative to the root of the containing file tree. Always uses '/' as the hierarchy
 separator, regardless of platform file separator. Same as calling <code>getRelativePath().getPathString()</code>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The path. Never returns null.</dd></dl>
</li>
</ul>
<a name="getRelativePath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRelativePath</h4>
<pre><a href="../../../../org/gradle/api/file/RelativePath.html" title="class in org.gradle.api.file">RelativePath</a>&nbsp;getRelativePath()</pre>
<div class="block">Returns the path of this file, relative to the root of the containing file tree.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The path. Never returns null.</dd></dl>
</li>
</ul>
<a name="getMode()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMode</h4>
<pre>int&nbsp;getMode()</pre>
<div class="block">Returns the Unix permissions of this file, e.g. <code>0644</code>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The Unix file permissions.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/file/FileTree.html" title="interface in org.gradle.api.file"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/file/FileVisitDetails.html" title="interface in org.gradle.api.file"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/file/FileTreeElement.html" target="_top">Frames</a></li>
<li><a href="FileTreeElement.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
